Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.mail
Class MeetingResponse

    java.lang.Object
      portlets.compoze.groupware.AbstractItem
          portlets.compoze.groupware.mail.Message
              portlets.compoze.groupware.mail.MeetingRequest
                  portlets.compoze.groupware.mail.MeetingResponse

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CounteredResponse

public class MeetingResponse
extends MeetingRequest
implements java.io.Serializable

This class represents a meeting response.

See Also:
  Serialized Form

Constructor Summary
`MeetingResponse(java.lang.String sID)` Constructor

Method Summary
`java.lang.String` | `getDelegee()` Gets the delegee of the meeting.
`void` | `setDelegee(java.lang.String sDelegee)` Sets the delegee of the meeting.

Methods inherited from class portlets.compoze.groupware.mail.MeetingRequest
`getComments, getEndTime, getLocation, getOrganizer, getStartTime, getWhenArgs, getWhenKey, isAcceptAvailable, isAllDayEvent, isCounterPrevented, isDelegatePrevented, isOrganizer, isRepeating, setComments, setEndTime, setIsAcceptAvailable, setIsAllDayEvent, setIsCounterPrevented, setIsDelegatePrevented, setIsOrganizer, setIsRepeating, setLocation, setOrganizer, setStartTime`

Methods inherited from class portlets.compoze.groupware.mail.Message
`getEmbeddedMessageIndex, getFlag, getFolderID, getFolderName, getParentMessageID, getRecipientInfo, getSenderInfo, getSensitivity, getTimeReceived, getToRecipientsDisplay, isEmbedded, isPreventForward, isRead, isReplySentFlag, setEmbeddedMessageIndex, setFlag, setFolderID, setFolderName, setIsEmbedded, setIsPreventForward, setIsRead, setIsReplySentFlag, setParentMessageID, setRecipientInfo, setSenderInfo, setSensitivity, setTimeReceived, setToRecipientsDisplay`

Methods inherited from class portlets.compoze.groupware.AbstractItem
`getAttachmentCount, getAttachmentInfoArray, getBodyHtml, getBodyText, getBodyTextAsHtml, getDateCreated, getID, getImportance, getIndex, getItemType, getSize, getSizeInKilobytes, getSubject, getSubject, hasAttachment, prettyTruncate, setAttachmentCount, setAttachmentInfoArray, setBodyHtml, setBodyText, setDateCreated, setHasAttachment, setID, setImportance, setIndex, setItemType, setSize, setSubject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MeetingResponse

    public MeetingResponse(java.lang.String sID)

  Constructor

Parameters:
  `sID` -

Method Detail

### getDelegee

    public java.lang.String getDelegee()

  Gets the delegee of the meeting.

  Returns:
    the delegee or `null` for none

### setDelegee

    public void setDelegee(java.lang.String sDelegee)

  Sets the delegee of the meeting.

  Parameters:
    `sDelegee` - the delegee of the meeting

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.